﻿using CommandBinding.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;

namespace CommandBinding.ViewModel
{
    class DelegateCommand : ICommand
    {
        private Action<object> m_action;

        public DelegateCommand(Action<object> action)
        {
            this.m_action = action;
        }

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public void Execute(object parameter)
        {
            m_action(parameter);
        }
        public event EventHandler CanExecuteChanged;
        public Employee GotFocusAction()
        {
            return new Employee();
        }
        public void OnCanExecuteChanged()
        {
            CanExecuteChanged(this, EventArgs.Empty);
        }
    }

}
